/**
 * CFilterSelect - 筛选项目，选择日期
 * @author Tevin
 */

<template>
    <view
        class="c-filter-select"
        :class="'type-'+type"
    >
        <view
            class="label"
            v-if="type==='item'"
        >{{label}}</view>
        <CDateRangeAction
            :value="value"
            :onChange="evt=>handleChange(evt)"
        >
            <view class="content">
                <view
                    class="label"
                    v-if="type==='bar'"
                >
                    {{label}}：
                </view>
                <view :class="selected ? 'filled':'empty'">
                    {{selected ? value.replace(',', ' , ') : ('请选择' + label)}}
                </view>
                <view class="at-icon at-icon-chevron-down" />
            </view>
        </CDateRangeAction>
    </view>
</template>

<script>
import Taro from '@tarojs/taro';
import { CDateRangeAction } from '@components/forms/datePicker';

export default {
    name: 'CFilterSelect',
    components: {
        CDateRangeAction,
    },
    props: {
        type: String,
        label: String,
        value: null,
        onChange: Function,
    },
    data() {
        return {};
    },
    computed: {
        selected() {
            return (this.value || '').length > 2;
        },
    },
    methods: {
        handleChange(dateRange) {
            this.onChange(dateRange);
        },
    },
};
</script>